Eklipse nicht MainActivity.java & activity_main.xml erzeugen

? Vivek Warde @ | Original: StackOverFlow
---

Auf die Schaffung einer neuen Applikation für Android Project MainActivity.java unter dem Paketnamen sollte in src Ordner & amp erzeugt werden ; activity_main.xml Sollte innerhalb Layout Ordner erstellt. Aber es wird nicht angelegt.

Eklipse nicht MainActivity.java & activity_main.xml erzeugen

Und auch im Manifest doesn `t es dieses POC erzeugen

 <activity
        android:name="info.androidhive.slidingmenu.MainActivity"
        android:label="@string/app_name" >
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />

            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
    </activity>

Allerdings fügte ich alle diese Dinge manuell .

activity_main.xml zeigt dann diesen Fehler

 Eclipse is loading framework information and the layout library from the SDK folder.
 activity_main.xml will refresh automatically once the process is finished.

MainActivity.java nicht das Layout Feld erkennen setContentView(R.layout.activity_main)

Und gestern habe ich downloalded die Updates von SDK -Manager diese Tools installiert / aktualisiert Eklipse nicht MainActivity.java & activity_main.xml erzeugen  Eklipse nicht MainActivity.java & activity_main.xml erzeugen

Ich habe versucht, die Reinigung des Projektes, die Änderung der Arbeitsbereich, einen Neustart des Eclipse & amp; Fenster aber nicht hilft :(

---

Top 5 Antwort

1Little Child @

Es gibt eine Option, um festzulegen, ob zur Erzeugung von MainActivity und activity_main.xml . Sind Sie sicher, dass Sie diejenigen, die ausgewählt wurden ? Achten Sie darauf, dass zu wählen.

Eklipse nicht MainActivity.java & activity_main.xml erzeugen

Ohne das sieht mein Projekt das gleiche wie Sie :

Eklipse nicht MainActivity.java & activity_main.xml erzeugen

2TGMCians @

As one guy said

Ich hatte das gleiche Problem, obwohl ich heruntergeladen die Android SDK und hat eine saubere Installation, aber ich habe gerade beschlossen sie . Ich habe versucht, klicken Sie auf " Hilfe " -> " Nach Updates suchen " und dann ein Popup- Meldung, alles auf dem neuesten Stand habe ich, aber nach weiterer Forschung schien es mir, es war nicht auf dem neuesten Stand . Was Sie tun müssen, ist klicken Sie auf " Hilfe " -> " Installieren neuer Software " und installieren (dies wird sie zu aktualisieren ) über folgende URL : https://dl-ssl.google.com/android/eclipse/

Sehen Sie hier Faden https://code.google.com/p/android/issues/detail?id=66647

3Solution @

Diese Lösungen hat bei mir nicht zu funktionieren, aber was lösen das Problem für mich war die appcompat Projekte, die automatisch erstellt, wenn wir eine neue Android-Anwendung -Projekt zu erstellen sind Löschen .

4user3562859 @

Die gleiche Sache mit mir geschehen vor einigen Tagen nach der Aktualisierung SDK über Android SDK Manager. Als ich neu gestartet eclipse, bekam ich einen Pop-up, dass mein Android Development Tool (ADT) oder ein Plugin für Eclipse muss Update auf Version 22.6.2

Hier ist die Informationen http://developer.android.com/tools/sdk/eclipse-adt.html

und klicken Sie auf Aktualisieren ADT, sind die Download- Anweisungen gibt .

Ich kopierte es hier nur für den Fall ,

Laden Sie die ADT Plugin Eclipse starten, und wählen Sie Hilfe> Neue Software installieren . Klicken Sie auf Hinzufügen, in der rechten oberen Ecke . Im Repository hinzufügen Dialog erscheint, geben Sie " ADT Plugin" für den Name und die folgende URL für den Standort:  https://dl-ssl.google.com/android/eclipse/ Hinweis: Die Android Developer Tools -Update-Site erfordert eine sichere Verbindung . Sicherstellen, dass die Update-Site eingegebene URL beginnt mit HTTPS. Klicken Sie auf OK . Im Lager Dialog Software, wählen Sie das Kontrollkästchen neben Entwicklertools und klicken Sie auf Weiter . Im nächsten Fenster werden Sie sehen eine Liste der Tools, die heruntergeladen werden . Klicken Sie auf Weiter . Lesen und die Lizenzvereinbarung akzeptieren, klicken Sie auf Fertig . Wenn Sie erhalten eine Sicherheitswarnung, dass die Authentizität oder Gültigkeit der Software kann nicht hergestellt werden, klicken Sie auf OK . Wenn die Installation abgeschlossen ist, starten von Eclipse .

Hoffe, das hilft .

5doohsam @

Ich hatte das gleiche Problem. Ich habe versucht, Erstellen des Projekts mit einem anderen Ziel- SDK. Ich verwendete API 16 Android 4.1 und das funktionierte .